    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class org.jdom.transform.JDOMResult

    java.lang.Object
       |
       +----javax.xml.transform.sax.SAXResult
               |
               +----org.jdom.transform.JDOMResult

public class JDOMResult
extends SAXResult

Acts as a holder for a transformation result tree, in the form of a JDOM Document.

This class shall be used to get the result of XSL Transformation as a JDOM Document.

The following example shows how to apply an XSL Transformation to a JDOM document and get the transformation result in the form of another JDOM Document:

>        public static Document transform(Document in, String stylesheet)
>                                           throws JDOMException {
>          try {
>            Transformer transformer = TransformerFactory.newInstance()
>                                  .newTransformer(new StreamSource(stylesheet));
>            JDOMResult out = new JDOMResult();
>            transformer.transform(new JDOMSource(in), out);
>            return out.getDocument();
>          }
>          catch (TransformerException e) {
>            throw new JDOMException("XSLT Trandformation failed", e);
>          }
>        }

Version:
  $Revision: 1.5 $, $Date: 2002/01/08 09:17:10 $
Author:
  Laurent Bihanic, Jason Hunter
See Also:
  JDOMSource

##

JDOM_FEATURE
  If {

##

JDOMResult()
  Default empty constructor.

##

getDocument()
  Returns the document produced as result of an XSL Transformation.
getFactory()
  Returns the custom JDOMFactory used to build the result document.
setDocument(Document)
  Sets the document produced as result of an XSL Transformation.
setFactory(JDOMFactory)
  Sets a custom JDOMFactory to use when building the result document.
setHandler(ContentHandler)
  Sets the target to be a SAX2 ContentHandler.
setLexicalHandler(LexicalHandler)
  Sets the SAX2 LexicalHandler for the output.

##

JDOM_FEATURE

     public static final String JDOM_FEATURE

  If {@link javax.xml.transform.TransformerFactory#getFeature} returns `true` when passed this value as an argument, the Transformer natively supports JDOM.

  Note: This implementation does not override the {@link SAXResult#FEATURE} value defined by its superclass to be considered as a SAXResult by Transformer implementations not natively supporting JDOM.

##

JDOMResult

     public JDOMResult()

  Default empty constructor.

##

setDocument

     public void setDocument(Document document)

  Sets the document produced as result of an XSL Transformation.

  Note: This method shall be used by the {@link javax.xml.transform.Transformer} implementations that natively support JDOM to directly set the transformation result rather than considering this object as a {@link SAXResult}. Applications should not use this method.

  Parameters:
    document - the JDOM document result of a transformation.
  See Also:
    getDocument

getDocument

     public Document getDocument()

  Returns the document produced as result of an XSL Transformation.

  Returns:
    the transformation result as a JDOM document.

setFactory

     public void setFactory(JDOMFactory factory)

  Sets a custom JDOMFactory to use when building the result document. Use a custom factory to build the tree with your own subclasses of the JDOM classes.

  Parameters:
    factory - the custom `JDOMFactory` to use or `null` to use the default JDOM classes.
  See Also:
    getFactory

getFactory

     public JDOMFactory getFactory()

  Returns the custom JDOMFactory used to build the result document.

  Returns:
    the custom `JDOMFactory` used to build the result document or `null` if the default JDOM classes are being used.
  See Also:
    setFactory

setHandler

     public void setHandler(ContentHandler handler)

  Sets the target to be a SAX2 ContentHandler.

  Parameters:
    handler - Must be a non-null ContentHandler reference.
  Overrides:
    setHandler in class SAXResult

setLexicalHandler

     public void setLexicalHandler(LexicalHandler handler)

  Sets the SAX2 LexicalHandler for the output.

  This is needed to handle XML comments and the like. If the lexical handler is not set, an attempt should be made by the transformer to cast the ContentHandler to a LexicalHandler.

  Parameters:
    handler - A non-null LexicalHandler for handling lexical parse events.
  Overrides:
    setLexicalHandler in class SAXResult

    All Packages  Class Hierarchy  This Package  Previous  Next  Index